Presets

Add a new Preset

POST http://recording_server:9000/api/presets

Adds a new Preset

Headers

Name
Type
Description

Authorization

string

API Token

Request Body

Name
Type
Description

Name

string

Specifies the name of the Preset

Type

string

Matches the Destination Type

Format

string

Encoding Format

VideoCodec

string

Encoding video codec

AudioCodec

string

Encoding audio codec

VideoBitrate

string

Encoding video bitrate

KeyFrameInterval

string

Key-frame interval (GOP-size)

StartTimecode

object

Start timecode type

ManualTimecode

string

Manual start timecode value

Config

string

Total encoding config

Update a Preset

PUT http://recording_server:9000/api/presets/{index}

Updates an existing preset

Query Parameters

Name
Type
Description

{index}

integer

sets an index of a Preset

Headers

Name
Type
Description

Authorization

string

API Token

Request Body

Name
Type
Description

Name

string

Specifies the name of the Preset

Type

string

Matches the Destination Type

Format

string

Encoding Format

VideoCodec

string

Encoding video codec

AudioCodec

string

Encoding audio codec

VideoBitrate

string

Encoding video bitrate

KeyFrameInterval

string

Key-frame interval (GOP-size)

StartTimecode

object

Start timecode type

ManualTimecode

string

Manual start timecode value

Config

string

Total encoding config

Get a Preset

GET http://recording_server:9000/api/presets/{index}

Returns a full configuration of a Preset by its index

Query Parameters

Name
Type
Description

{index}

integer

sets an index of a Preset

Headers

Name
Type
Description

Authorization

string

API Token

Get available encoding Formats for a Preset

GET http://recording_server:9000/api/presets/{index}/formats

Returns available encoding containers for the Preset

Query Parameters

Name
Type
Description

{index}

integer

sets an index of a Preset

Headers

Name
Type
Description

Authorization

string

API Token

Get available video codecs for a Preset

GET http://recording_server:9000/api/presets/{index}/videoCodecs

Returns video codecs available for the specified Format of the Preset

Query Parameters

Name
Type
Description

{index}

integer

sets an index of a Preset

Headers

Name
Type
Description

Authorization

string

API Token

Get available audio codecs for a Preset

GET http://recording_server:9000/api/presets/{index}/audioCodecs

Returns audio codecs available for the specified Format of the Preset

Query Parameters

Name
Type
Description

{index}

integer

sets an index of a Preset

Headers

Name
Type
Description

Authorization

string

API Token

Get available Timecode options for a Preset

GET http://recording_server:9000/api/presets/{index}/timecodes

Returns a list of available start timecode values

Query Parameters

Name
Type
Description

{index}

integer

sets an index of a Preset

Headers

Name
Type
Description

Authorization

string

API Token

Get all Presets

GET http://recording_server:9000/api/presets/

Returns a list of available encoding presets

Headers

Name
Type
Description

Authorization

string

API Token

Remove a Preset

DELETE http://recording_server:9000/api/presets/{index}

Removes a Preset by its index

Query Parameters

Name
Type
Description

{index}

integer

Index of a Preset to be removed

Headers

Name
Type
Description

Authorization

string

API Token

Last updated